package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.ChannelPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.ChannelShowQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.ChannelVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

public interface ChannelServiceI {
	PageDTO<ChannelVO> page(ChannelPageQry channelPageQry);

	ChannelVO create(ChannelCreateCmd channelCreateCmd);

	ChannelVO show(ChannelShowQry channelShowQry);

	ChannelVO update(ChannelUpdateCmd channelUpdateCmd);

	void destroy(ChannelDestroyCmd channelDestroyCmd);
}
